<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CreateProgramWorkTask](./bitburner.createprogramworktask.md)

## CreateProgramWorkTask interface

Create Program

**Signature:**

```typescript
export interface CreateProgramWorkTask 
```

## Remarks

An object representing the status of the program being created

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [cyclesWorked](./bitburner.createprogramworktask.cyclesworked.md) |  | number |  |
|  [programName](./bitburner.createprogramworktask.programname.md) |  | string |  |
|  [type](./bitburner.createprogramworktask.type.md) |  | "CREATE\_PROGRAM" |  |

